Firefox ESR 24.x < 24.6 Multiple Vulnerabilities (Mac OS X)

High Nessus Plugin ID 74436

Synopsis

The remote Mac OS X host contains a web browser that is potentially affected by multiple vulnerabilities.

Description

The version of Firefox ESR 24.x installed on the remote Mac OS X host is prior to 24.6 and is, therefore, affected by the following vulnerabilities :

- A memory issue exists that could lead to arbitrary code execution. Note that this issue only affects Firefox ESR 24.5. (CVE-2014-1533)

- Use-after-free memory issues exist in 'nsTextEditRules::CreateMozBR' and the SMIL Animation Controller that could lead to code execution.
(CVE-2014-1538, CVE-2014-1541)

Solution

Upgrade to Firefox ESR 24.6 or later.

See Also

https://www.mozilla.org/security/announce/2014/mfsa2014-48.html

https://www.mozilla.org/security/announce/2014/mfsa2014-49.html

https://www.mozilla.org/security/announce/2014/mfsa2014-52.html

Plugin Details

Severity: High

ID: 74436

File Name: macosx_firefox_24_6_esr.nasl

Version: Revision: 1.4

Type: local

Agent: macosx

Published: 2014/06/11

Updated: 2014/10/15

Dependencies: 55417

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:firefox_esr

Required KB Items: MacOSX/Firefox/Installed

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/06/10

Vulnerability Publication Date: 2014/06/10

Reference Information

CVE: CVE-2014-1533, CVE-2014-1538, CVE-2014-1541

BID: 67965, 67976, 67979